var darkGray = "#6C808D";
var yellow = "#F8E71B";

function renderChart(height, width, data){  
    var currentData = data.slice(0, data.length - 1);
    var projectedData = data.slice(-2);
    
    var allData = [{ key: "Current",
                     values: formatData(currentData),
                     color: darkGray },
                   { key: "Projected",
                     values: formatData(projectedData),
                     color: yellow }];
    
    nv.addGraph(function() {
        var chart = buildChart(height, width);

        d3.select('#chart svg').datum(allData).call(chart).style({ 'height': height, 'width': width });
        nv.utils.windowResize(function() { chart.update() });

        return chart;
    });
}

function buildChart(height, width) {
    var chart = nv.models.lineChart().height(height)
                                     .interactive(false)
                                     .isArea(true)
                                     .margin({ bottom: 0, left: 0, right: 0, top: 0 })
                                     .showLegend(false)
                                     .showXAxis(false)
                                     .showYAxis(false)
                                     .tooltips(false)
                                     .useInteractiveGuideline(false)
                                     .width(width);
    
    chart.yScale(d3.scale.linear());
    chart.forceY([0]);

    return chart;
}

function formatData(values) {
    var formattedData = []
    
    for (var i = 0; i < values.length; i++) {
        formattedData.push({ x: values[i][0],
                             y: values[i][1] });
    }

    return formattedData;
}
