package com.mobiledefense.verify.validate.ui.view

import com.mobiledefense.common.util.Observer
import com.mobiledefense.verify.validate.ui.model.VerificationValidationViewModel

interface VerificationValidationView {

    val viewModelObserver: Observer<VerificationValidationViewModel>
    var pinChangesObserver: Observer<Action.PinChange>?
    var validateButtonTapsObserver: Observer<Action.ValidateButtonTap>?
    var requestButtonTapsObserver: Observer<Action.RequestButtonTap>?
    var requestErrorDialogDismissalsObserver: Observer<Action.RequestErrorDialogDismissal>?

    sealed class Action {
        data class PinChange(val pin: String) : Action()
        object ValidateButtonTap : Action()
        object RequestButtonTap : Action()
        object RequestErrorDialogDismissal : Action()
        object BackTap : Action()
    }
}
