precision mediump float;

varying vec2 interp_tc;

uniform sampler2D rgb_tex;
uniform sampler2D blurred_tex;
uniform sampler2D mask_tex;

void main() {
	vec4 rawPixel = texture2D(rgb_tex, interp_tc);
	vec4 blurredPixel = texture2D(blurred_tex, interp_tc);
	vec4 maskPixel = texture2D(mask_tex, interp_tc);

	gl_FragColor = mix(rawPixel, blurredPixel, maskPixel.r);

}